#!/bin/bash
while [ "$#" -gt 0 ]
do
  case $1 in
    -h|--help|-\?)
      echo "This is help message."
      exit 0
      ;;
    -n|--max)
      max=$2
      shift
      ;;
    *)
      echo "$0: invalid option or parameter: $1" 1>&2
      exit 1
      ;;
  esac
  shift
done
echo "max=$max"
